class DebugRobot:
    def send_speed_cmd(self, linear, angular):
        print(f"Robot: linear={linear:.2f}, angular={angular:.2f}")

    def step(self):
        pass

    def quit(self):
        pass
    
    def send_fire_ext_burst_cmd(self):
        print("Robot: Pshhhhh putting out the fire!")
